=== debian/changelog ===
openvas-libraries (8.0.8-2) unstable; urgency=medium

  [ SZ Lin (林上智) ]
  * Remove libsnmp-dev dependency to avoid libssl-dev version conflict
  * Remove extra configuration in debian/rules
  * Update symbol file

  [ Raphaël Hertzog ]
  * Team upload.
  * Replace libgpgme11-dev build-depends with libgpgme-dev. Closes: #846232
  * Fix Vcs-Git URL.

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Tue, 13 Dec 2016 17:09:42 +0800

openvas-libraries (8.0.8-1) unstable; urgency=medium

  * Import new upstream release

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Fri, 07 Oct 2016 23:27:57 +0800

openvas-libraries (8.0.7-1) unstable; urgency=medium

  * Import upstream version to Debian (Closes: #835393)

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Thu, 08 Sep 2016 19:20:37 +0800

openvas-libraries (8.0.7-0kali1) kali-experimental; urgency=medium

  * Import new upstream release
  * Add RADIUS support

 -- Sophie Brun <sophie@freexian.com>  Wed, 22 Jun 2016 10:39:34 +0200

openvas-libraries (8.0.4-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Update .install to add openvas-nasl-lint

 -- Sophie Brun <sophie@freexian.com>  Thu, 10 Sep 2015 15:33:32 +0200

openvas-libraries (8.0.1-0kali2) kali-dev; urgency=medium

  * Rebuild in kali-dev for libgcrypt20 and gnutls28 transition.

 -- Sophie Brun <sophie@freexian.com>  Thu, 23 Apr 2015 09:31:45 +0200

openvas-libraries (8.0.1-0kali1) kali; urgency=medium

  * New upstream release
  * debian/control: update build dependencies
  * Replace libopenvas7 with libopenvas8

 -- Sophie Brun <sophie@freexian.com>  Fri, 10 Apr 2015 14:59:30 +0200

openvas-libraries (7.0.2-0kali2) kali-dev; urgency=medium

  * Rebuild in kali-dev for libgcrypt20 and gnutls28 transition.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 21 Nov 2014 17:59:05 +0100

openvas-libraries (7.0.2-0kali1) kali; urgency=medium

  * Rename source package to openvas-libraries like in upstream and debian
  * New upstream release
  * Move libraries to their multiarch location
  * Add a file debian/copyright

 -- Sophie Brun <sophie@freexian.com>  Thu, 31 Jul 2014 09:18:48 +0200

libopenvas (6.0.0-0kali2) kali; urgency=low

  * Fix SYSCONFDIR, LOCALSTATEDIR and LIBDIR paths during configure in debian/rules.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 03 May 2013 16:21:30 +0200

libopenvas (6.0.0-0kali1) kali; urgency=low

  * New upstream release.
  * Upgrade debhelper compat level to 9 to enable hardening without
    hardening-wrapper.
  * Update debian/rules to be dh-based.
  * Switch to “3.0 (quilt)” source format.
  * Rename libopenvas5-dev to libopenvas-dev (non-versioned).
  * Replace libopenvas5 package by libopenvas6.
  * Update the build dependencies to match cmake's checks.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 02 May 2013 10:06:30 +0200

libopenvas (5.0.4-1kali0) kali; urgency=low

  * Upstream update

 -- Mati Aharoni <muts@kali.org>  Tue, 04 Dec 2012 12:04:50 -0500

libopenvas (5.0+beta2-1) unstable; urgency=low

  * New upstream release.
    - A bug which caused outdated cache files to be used under rare circumstances
      has been fixed.
    - Code cleanup and refactoring has taken place in NVT meta data management.
    - Libssh detection has been improved.
    - The LDAP auth DN validation has been improved.
    - Support for the observer role has been added and functionality for user
      management has been moved from openvas-administrator to openvas-libraries.
    - Support for name conversion for legacy .nes dependencies when loading the
      cache has been removed.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Mon, 31 Oct 2011 14:58:04 +0100

libopenvas (5.0+beta1-1) unstable; urgency=low

  * New upstream release.
    - Support for improved SSH functionality has been added.
    - Support for comprehensive network scanning with nmap has been added.
    - A number of compiler warnings have been addressed.
    - Support for shared sockets has been removed.
    - OpenVAS Libraries will now honor the unscanned_closed_udp preference when
      deciding how an unscanned UDP port should be treated.
    - Nmap support has been improved.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Sat, 20 Aug 2011 15:42:27 +0200

libopenvas (4.0.5-1) unstable; urgency=low

  * New upstream release.
    - OpenVAS Libraries will now honor the unscanned_closed_udp preference when
      deciding how an unscanned UDP port should be treated.
    - Compiler warnings from gcc 4.6 have been addressed.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Wed, 01 Jun 2011 19:56:38 +0200

libopenvas (4.0.4-1) unstable; urgency=low

  * New upstream release.
    - The handling of internal dependencies while linking has been improved,
      parallel builds of openvas-libraries should now work.
    - Two potential resource leaks reported by Pavel Sejnoha and Henri Doreau have
      been fixed.
    - The setting "unscanned_closed" is now properly applied to UDP ports.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Sat, 07 May 2011 12:30:32 +0200

libopenvas (4.0.3-1) unstable; urgency=low

  * New upstream release.
    - A bug which caused only the first NVT dependency to be considered has been fixed.
    - A bug which caused WMI connects to fail has been fixed.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Thu, 03 Mar 2011 13:58:44 +0100

libopenvas (4.0.2-1) unstable; urgency=low

  * New upstream release.
    - The LSC RPM creator support script is now installed correctly.
    - The build environment has been consolidated.
    - A bug which could cause a segmentation fault when using IPv6 under certain
      circumstances has been fixed.
    - The check for administrative user privileges has been made more strict.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Wed, 23 Feb 2011 19:12:27 +0100

libopenvas (4.0.0-1) unstable; urgency=low

  * New upstream release.
    - Setting file handling has been updated to match changes in openvas-scanner.

