=== debian/control ===
Source: openvas-libraries
Section: libs
Priority: optional
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
Uploaders: Stephan Kleine <bitshuffler@opensuse.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           SZ Lin (林上智) <szlin@cs.nctu.edu.tw>
Build-Depends: debhelper (>= 9.20151219),
               bison,
               cmake (>= 2.6),
               doxygen,
               libradcli-dev,
               libgcrypt-dev,
               libglib2.0-dev (>= 2.16),
               libgnutls28-dev,
               libgpgme-dev (>= 1.1.2),
               libhiredis-dev (>=0.10.1),
               libksba-dev,
               libldap2-dev,
               libpcap-dev,
               libssh-dev (>= 0.5.0),
               uuid-dev,
Homepage: http://www.openvas.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/openvas-libraries.git
Vcs-Git: https://anonscm.debian.org/git/pkg-security/openvas-libraries.git
Standards-Version: 3.9.8

Package: libopenvas-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgcrypt-dev,
         libglib2.0-dev,
         libgnutls28-dev,
         libgpgme-dev (>= 1.1.2),
         libhiredis-dev (>=0.10.1),
         libksba-dev,
         libopenvas8 (= ${binary:Version}),
         libpcap-dev,
         libssh-dev (>= 0.5.0),
         uuid-dev,
Replaces: libopenvas1-dev,
          libopenvas2-dev,
          libopenvas3-dev,
          libopenvas4-dev,
          libopenvas5-dev,
Conflicts: libopenvas1-dev,
           libopenvas2-dev,
           libopenvas3-dev,
           libopenvas4-dev,
           libopenvas5-dev,
Description: remote network security auditor - static libraries and headers
 The Open Vulnerability Assessment System is a modular security auditing
 tool, used for testing remote systems for vulnerabilities that should be
 fixed.
 .
 It is made up of two parts: a server, and a client. The server/daemon,
 openvasd, is in charge of the attacks, whereas the client,
 OpenVAS-Client, provides an X11/GTK+ user interface.
 .
 This package contains the required static libraries, headers, and
 libopenvas-config script.

Package: libopenvas8
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
Replaces: libopenvas1,
          libopenvas2,
          libopenvas3,
          libopenvas4,
          libopenvas5,
          libopenvasnasl1,
          libopenvasnasl2,
          libopenvas6,
          libopenvas7,
Conflicts: libopenvas1,
           libopenvas2,
           libopenvas3,
           libopenvas4,
           libopenvas5,
           libopenvasnasl1,
           libopenvasnasl2,
           libopenvas6,
           libopenvas7,
Description: remote network security auditor - shared libraries
 The Open Vulnerability Assessment System is a modular security auditing
 tool, used for testing remote systems for vulnerabilities that should be
 fixed.
 .
 It is made up of two parts: a server, and a client. The server/daemon,
 openvasd, is in charge of the attacks, whereas the client,
 OpenVAS-Client, provides an X11/GTK+ user interface.
 .
 This package contains the required shared libraries.
