=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DSYSCONFDIR=/etc \
		-DLOCALSTATEDIR=/var \
		-DLIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		-DBUILD_WITH_LDAP=ON \
		-DCMAKE_BUILD_TYPE=release \
		-DBUILD_WITH_RADIUS=no \
		$(NULL)

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbgsym-migration='libopenvas8-dbg (<< 8.0.7-1~)'
